BRefNode Struct Reference

`#include <regparse.h>`

## Data Fields

NodeBase | base
int | state
int | back_num
int | back_static [NODE_BACKREFS_SIZE]
int * | back_dynamic
int | nest_level

## Detailed Description

Definition at line 229 of file regparse.h.

## Field Documentation

int* BRefNode::back_dynamic

Definition at line 234 of file regparse.h.

int BRefNode::back_num

Definition at line 232 of file regparse.h.

Referenced by compile_length_tree(), compile_tree(), get_max_match_length(), get_min_match_length(), optimize_node_left(), and setup_tree().

int BRefNode::back_static[NODE_BACKREFS_SIZE]

Definition at line 233 of file regparse.h.

Referenced by compile_length_tree(), and compile_tree().

NodeBase BRefNode::base

Definition at line 230 of file regparse.h.

int BRefNode::nest_level

Definition at line 235 of file regparse.h.

Referenced by compile_tree().

int BRefNode::state

Definition at line 231 of file regparse.h.

Referenced by get_max_match_length(), get_min_match_length(), and optimize_node_left().

The documentation for this struct was generated from the following file:

- regparse.h